GET/v1/smm/orders/:id
Get an order
Returns a single SMM order's current delivery status.
Required scope:
smm.orderRate limit: 10 rpsParameters
idstringrequiredThe order ID.
Code samples
curl -X GET "https://samaprime.com/api/v1/smm/orders/smsord_01J8X9AABBCCDD" \ -H "Authorization: Bearer sk_test_..." \ -H "Content-Type: application/json"Response
→ 200{ "data": { "id": "cm_smmord_01J8Y2A3BBCCDD", "status": "in_progress", "service": "instagram-followers-real-arab", "link": "https://instagram.com/example", "quantity": 1000, "current_count": 1560, "remains": 644, "sell_usd": "3.5000", "created_at": "2026-08-10T14:52:00Z" }, "meta": { "request_id": "req_abc123", "timestamp": "2026-08-06T12:00:00Z" }}Errors
| Status | Code |
|---|---|
| 404 | not_foundNo order with this ID belongs to this user. |